Index: branches/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenu.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenu.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenu.cs	(revision 51)
@@ -1817,216 +2153,403 @@
 
                 // 参照オブジェクトをボタンに変換
                 System.Windows.Forms.Button btnKey = (System.Windows.Forms.Button)sender;
-
-                //---- 1列目
-                if (btnKey.Name == "btnConstruction00")
+                int ButtonCol = tblLayoutConstruction.GetColumn(btnKey);                    // 列取得（Ｘ）
+                int ButtonRow = tblLayoutConstruction.GetRow(btnKey);                       // 行取得（Ｙ）
+                switch (ButtonRow)
                 {
-                    // ----- 起動プロセス設定
-                    int NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.ConstructionList);
+                    case 1:
+                        switch (ButtonCol)
+                        {
+                            case 1:
+                                #region 工事詳細台帳
+                                // 新セキュリティデータ対応済みかを確認する
+                                if (CommonMotions.LoginUserData.SecCode == 0)
+                                {
+                                    // システム管理者・最高責任者
+                                    if (CommonMotions.LoginUserData.SecurityManagement == CommonDefine.AdminSecurityManagement ||
+                                        CommonMotions.LoginUserData.SecurityManagement == CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.PresidentAuthority].Key)
+                                    {
+                                        // 部署別台帳まとめ一覧
+                                        NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.DepartmentExpenssList);
+                                    }
+                                    else
+                                    {   // 統括責任者・所属長・一般ユーザー
+                                        // ----- 起動プロセス設定
+                                        // 工事詳細台帳一覧
+                                        NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.ConstructionLedgerList);
 
-                    // 工事一覧から表示を行うため起動プロセスはパラメータの1つ目にセットする。
-                    // 工事施工予算入力
-                    ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)ClsExcute.ProcessExecuteNo.ConstructionBudget);
-                    ClsExcute.ProcControlPara[NowPoint].BoolExecParameter.Add(false);
-                }
-                else if (btnKey.Name == "btnConstruction01")
-                {   // システム管理者・最高責任者
-                    if (CommonMotions.LoginUserData.SecurityManagement == CommonDefine.AdminSecurityManagement ||
-                        CommonMotions.LoginUserData.SecurityManagement == CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.PresidentAuthority].Key)
-                    {
-                        // 部署別台帳まとめ一覧
-                        int NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.DepartmentExpenssList);
-                    }
-                    else
-                    {   // 統括責任者・所属長・一般ユーザー
-                        // ----- 起動プロセス設定
-                        // 工事詳細台帳一覧
-                        int NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.ConstructionLedgerList);
+                                        // 工事一覧から表示を行うため起動プロセスはパラメータの1つ目にセットする。
+                                        // 工事詳細台帳入力
+                                        ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)ClsExcute.ProcessExecuteNo.ConstructionLedger);
+                                        ClsExcute.ProcControlPara[NowPoint].BoolExecParameter.Add(false);
+                                    }
+                                }
+                                else
+                                {
+                                    // 起動権限確認
+                                    int editflg = (int)CommonDefine.ProcessDataEdit.Reference;
+                                    if (ClsSecurityPermission.GetExecutePermission((int)ClsExcute.ProcessExecuteNo.DepartmentExpenssList, ref editflg))
+                                    {
+                                        // 部署別台帳まとめ一覧
+                                        NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.DepartmentExpenssList);
+                                    }
+                                    else
+                                    {
+                                        // 工事詳細台帳一覧
+                                        NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.ConstructionLedgerList);
 
-                        // 工事一覧から表示を行うため起動プロセスはパラメータの1つ目にセットする。
-                        // 工事詳細台帳入力
-                        ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)ClsExcute.ProcessExecuteNo.ConstructionLedger);
-                        ClsExcute.ProcControlPara[NowPoint].BoolExecParameter.Add(false);
-                    }
-                }
-                else if (btnKey.Name == "btnConstruction02")
-                {
-                    // ----- 起動プロセス設定
-                    int NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.DRList);
+                                        // 工事一覧から表示を行うため起動プロセスはパラメータの1つ目にセットする。
+                                        // 工事詳細台帳入力
+                                        ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)ClsExcute.ProcessExecuteNo.ConstructionLedger);
+                                        ClsExcute.ProcControlPara[NowPoint].BoolExecParameter.Add(false);
+                                    }
+                                }
+                                break;
+                                #endregion
+                            case 3:
+                                #region 工事日報入力
+                                // ----- 起動プロセス設定
+                                NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.DRList);
 
-                    // 日報一覧から表示を行うため起動プロセスはパラメータの1つ目にセットする。
-                    // 工事日報入力
-                    ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)ClsExcute.ProcessExecuteNo.DRConstruction);
-                }
-                else if (btnKey.Name == "btnConstruction03")
-                {
-                }
-                else if (btnKey.Name == "btnConstruction04")
-                {
-                }
-                else if (btnKey.Name == "btnConstruction05")
-                {
-                }
-                //---- 2列目
-                else if (btnKey.Name == "btnConstruction06")
-                {
-                    // ----- 起動プロセス設定
-                    int NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.ApprovalDocumentList);
+                                // 日報一覧から表示を行うため起動プロセスはパラメータの1つ目にセットする。
+                                // 工事日報入力
+                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)ClsExcute.ProcessExecuteNo.DRConstruction);
+                                break;
+                                #endregion
+                            case 5:
+                                #region 各工事打合わせ議事録
+                                // ----- 起動プロセス設定
+                                NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.DRList);
 
-                    //　工事予算書承認
-                    int ApprovalCode = ClsExcute.AppovalList.First(x => x.Value.Equals("工事予算書承認")).Key;
-                    ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(ApprovalCode);
-                }
-                else if (btnKey.Name == "btnConstruction07")
-                {
-                    //　交通費及び購入品入力
-                    int NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.TAndPCosts);
-                    ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(0);    // ダミー
-                }
-                else if (btnKey.Name == "btnConstruction08")
-                {
-                }
-                else if (btnKey.Name == "btnConstruction09")
-                {
-                }
-                else if (btnKey.Name == "btnConstruction10")
-                {
-                }
-                else if (btnKey.Name == "btnConstruction11")
-                {
-                }
-                //---- 3列目
-                else if (btnKey.Name == "btnConstruction12")
-                {
-                    // ----- 起動プロセス設定
-                    // 工事一覧から表示を行うため起動プロセスはパラメータの1つ目にセットする。
-                    int NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.ConstructionList);
+                                // 日報一覧から表示を行うため起動プロセスはパラメータの1つ目にセットする。
+                                // 工事日報入力
+                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)ClsExcute.ProcessExecuteNo.Proceedings);
+                                break;
+                                #endregion
+                            case 7:
+                                #region 交通費及び購入品入力
+                                // 交通費及び購入品入力
+                                NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.TAndPCosts);
+                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(0);    // ダミー
+                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(CommonMotions.LoginUserData.PersonCode);
+                                break;
+                                #endregion
+                            case 9:
+                                #region 出勤管理
+                                // 出勤管理
+                                //NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.DRWork);
+                                //ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(0);    // ダミー
+                                //ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(CommonMotions.LoginUserData.PersonCode);
+                                break;
+                                #endregion
+                        }
+                        break;
+                    case 3:
+                        switch (ButtonCol)
+                        {
+                            case 1:
+                                #region 行動予定入力
+                                // 行動予定入力
+                                NowPoint = ClsExcute.NextProcess((int)ClsExcute.SubFormExecuteNo.ActionSchdule);
+                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(CommonMotions.LoginUserData.PersonCode);
+                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(DateTime.Now.Month);
+                                break;
+                                #endregion
+                            case 3:
+                                #region 車両予約入力
+                                int VehicleCode =0;
+                                if (VehicleCodeSelector(ref VehicleCode))
+                                {
+                                    // 車両予約入力
+                                    NowPoint = ClsExcute.NextProcess((int)ClsExcute.SubFormExecuteNo.VehicleSchdule);
+                                    ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(VehicleCode);
+                                    ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(DateTime.Now.Month);
+                                }
+                                break;
+                                #endregion
+                            case 5:
+                                break;
+                            case 7:
+                                break;
+                            case 9:
+                                break;
+                        }
+                        break;
+                    case 5:
+                        switch (ButtonCol)
+                        {
+                            case 1:
+                                #region 資材入力（資材一覧）
+                                // 資材入力
+                                NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.MaterialList);
+                                break;
+                                #endregion
+                            case 3:
+                                #region 資材貸出
+                                // 資材入力
+                                NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.MaterialReserveEntry);
+                                break;
+                                #endregion
+                            case 5:
+                                #region 資材返却
+                                // 資材入力
+                                NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.MaterialReturnEntry);
+                                break;
+                                #endregion
+                            case 7:
+                                break;
+                            case 9:
+                                break;
+                        }
+                        break;
+                    case 9:
+                        switch (ButtonCol)
+                        {
+                            case 1:
+                                #region 工事施工予算入力
+                                // ----- 起動プロセス設定
+                                NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.ConstructionList);
 
-                    // 工事施工予算入力
-                    ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)ClsExcute.ProcessExecuteNo.PurchaseOrderEntry);
-                    ClsExcute.ProcControlPara[NowPoint].BoolExecParameter.Add(false);
-                }
-                else if (btnKey.Name == "btnConstruction13")
-                {
-                    // ----- 起動プロセス設定
-                    int NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.ApprovalDocumentList);
+                                // 工事一覧から表示を行うため起動プロセスはパラメータの1つ目にセットする。
+                                // 工事施工予算入力
+                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)ClsExcute.ProcessExecuteNo.ConstructionBudget);
+                                ClsExcute.ProcControlPara[NowPoint].BoolExecParameter.Add(false);
+                                break;
+                                #endregion
+                            case 3:
+                                #region 工事予算書承認
+                                // ----- 起動プロセス設定
+                                NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.ApprovalDocumentList);
 
-                    // 承認一覧から表示を行うため起動プロセスはパラメータの1つ目にセットする。
-                    //　工事予算書承認
-                    int ApprovalCode = ClsExcute.AppovalList.First(x => x.Value.Equals("注文書承認")).Key;
-                    ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(ApprovalCode);
-                }
-                else if (btnKey.Name == "btnConstruction14")
-                {
-                    // ----- 起動プロセス設定
-                    // 工事一覧から表示を行うため起動プロセスはパラメータの1つ目にセットする。
-                    int NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.ConstructionList);
+                                //　工事予算書承認
+                                int ApprovalCode = ClsExcute.AppovalList.First(x => x.Value.Equals("工事予算書承認")).Key;
+                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(ApprovalCode);
+                                break;
+                                #endregion
+                            case 5:
+                                break;
+                            case 7:
+                                break;
+                            case 9:
+                                break;
+                        }
+                        break;
+                    case 11:
+                        switch (ButtonCol)
+                        {
+                            case 1:
+                                #region 注文書入力
+                                // ----- 起動プロセス設定
+                                // 工事一覧から表示を行うため起動プロセスはパラメータの1つ目にセットする。
+                                NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.ConstructionList);
 
-                    //　積算見積印刷
-                    ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)ClsExcute.ProcessExecuteNo.PurchaseOrderPrint);
-                    ClsExcute.ProcControlPara[NowPoint].BoolExecParameter.Add(false);
-                }
-                else if (btnKey.Name == "btnConstruction15")
-                {
-                }
-                else if (btnKey.Name == "btnConstruction16")
-                {
-                }
-                else if (btnKey.Name == "btnConstruction17")
-                {
-                }
-                // 処理実行
-                ClsExcute.ProcesscExecute();
-            }
-            catch (Exception ex)
-            {
-                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-            }
-            finally
-            {
-                // 再表示
-                DisplayDataLoad();
-                // 自画面表示
-                if (CommonMotions.ProductionExecution) this.Visible = true;
-            }
-        }
-        #endregion
+                                // 注文書入力
+                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)ClsExcute.ProcessExecuteNo.PurchaseOrderEntry);
+                                ClsExcute.ProcControlPara[NowPoint].BoolExecParameter.Add(false);
+                                break;
+                                #endregion
+                            case 3:
+                                #region 注文書承認
+                                // ----- 起動プロセス設定
+                                NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.ApprovalDocumentList);
 
-        #region 請求管理メニューボタン押下
-        /// <summary>
-        /// 請求管理メニューボタン押下
-        /// </summary>
-        /// <param name="sender"></param>
-        /// <param name="e"></param>
-        private void btnBilling_Click(object sender, EventArgs e)
-        {
-            try
-            {
-                // 自画面非表示
-                if (CommonMotions.ProductionExecution) this.Visible = false;
+                                // 承認一覧から表示を行うため起動プロセスはパラメータの1つ目にセットする。
+                                //　注文書承認
+                                int ApprovalCode = ClsExcute.AppovalList.First(x => x.Value.Equals("注文書承認")).Key;
+                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(ApprovalCode);
+                                break;
+                                #endregion
+                            case 5:
+                                #region 注文書印刷
+                                // ----- 起動プロセス設定
+                                // 工事一覧から表示を行うため起動プロセスはパラメータの1つ目にセットする。
+                                NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.ConstructionList);
 
-                // 参照オブジェクトをボタンに変換
-                System.Windows.Forms.Button btnKey = (System.Windows.Forms.Button)sender;
+                                //　注文書印刷
+                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)ClsExcute.ProcessExecuteNo.PurchaseOrderPrint);
+                                ClsExcute.ProcControlPara[NowPoint].BoolExecParameter.Add(false);
+                                break;
+                                #endregion
+                            case 7:
+                                #region 注文書発給状況一覧
+                                // 注文書発給状況一覧
+                                // ----- 起動プロセス設定
+                                NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.PurchaseOrderStatus);
+                                break;
+                                #endregion
+                            case 9:
+                                break;
+                        }
+                        break;
+                    case 13:
+                        switch (ButtonCol)
+                        {
+                            case 1:                             // 工程表作成・印刷
+                                break;
+                            case 3:
+                                break;
+                            case 5:
+                                break;
+                            case 7:
+                                break;
+                            case 9:
+                                break;
+                        }
+                        break;
+                    case 15:                                    // 工事施工図承認願い
+                        switch (ButtonCol)
+                        {
+                            case 1:
+                                break;
+                            case 3:
+                                break;
+                            case 5:
+                                break;
+                            case 7:
+                                break;
+                            case 9:
+                                break;
+                        }
+                        break;
+                    case 17:
+                        switch (ButtonCol)
+                        {
+                            case 1:
+                                break;
+                            case 3:
+                                break;
+                            case 5:
+                                break;
+                            case 7:
+                                break;
+                            case 9:
+                                break;
+                        }
+                        break;
+                    case 19:
+                        switch (ButtonCol)
+                        {
+                            case 1:
+                                break;
+                            case 3:
+                                break;
+                            case 5:
+                                break;
+                            case 7:
+                                break;
+                            case 9:
+                                break;
+                        }
+                        break;
+                    case 23:
+                        switch (ButtonCol)
+                        {
+                            case 1:                         // 請求書作成
+                                #region 請求書入力（出来高）
+                                // 請求書入力（出来高）→分割
+                                NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.RequestInput);
+                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)FrmConstructionDiag.SelectConstructionType.SeparateBilling);
+                                break;
+                                #endregion
+                            case 3:
+                                break;
+                            case 5:
+                                break;
+                            case 7:
+                                break;
+                            case 9:
+                                #region 取引先入金入力
+                                // 入金確認
+                                NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.PaymentConfirmation);
+                                break;
+                                #endregion
+                        }
+                        break;
+                    case 24:                            // 未使用
+                        switch (ButtonCol)
+                        {
+                            case 1:
+                                break;
+                            case 3:
+                                break;
+                            case 5:
+                                break;
+                            case 7:
+                                break;
+                            case 9:
+                                break;
+                        }
+                        break;
+                    case 25:
+                        switch (ButtonCol)
+                        {
+                            case 1:
+                                #region 請求書入力（完了後）
+                                // 請求書入力→一括
+                                NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.RequestInput);
+                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)FrmConstructionDiag.SelectConstructionType.CombinedOrder);
+                                break;
+                                #endregion
+                            case 3:
+                                break;
+                            case 5:
+                                break;
+                            case 7:
+                                break;
+                            case 9:
+                                #region 取引先入金入力
+                                // 入金確認
+                                NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.PaymentConfirmation);
+                                break;
+                                #endregion
+                        }
+                        break;
+                    case 29:                                
+                        switch (ButtonCol)
+                        {
+                            case 1:
+                                #region 業者・職人手間請求確認（手間業者）
+                                // 業者・職人手間請求確認（手間業者）
+                                NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.RequestSummaryList);
+                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)CommonDefine.LabourKinds.Labor);
+                                break;
+                                #endregion
+                            case 3:
+                                #region 業者・職人手間請求確認（通常業者）
+                                // 業者・職人手間請求確認（通常業者）
+                                NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.RequestSummaryList);
+                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)CommonDefine.LabourKinds.Normal);
+                                break;
+                                #endregion
+                            case 5:
+                                break;
+                            case 7:
+                                break;
+                            case 9:
+                                break;
+                        }
+                        break;
+                    case 33:
+                        switch (ButtonCol)
+                        {
+                            case 1:
+                                break;
+                            case 3:
+                                break;
+                            case 5:
+                                break;
+                            case 7:
+                                break;
+                            case 9:
+                                break;
+                        }
+                        break;
+                }
+                if (NowPoint < 0) return;
 
-                //---- 1列目
-                if (btnKey.Name == "btnBilling00")
-                {
-                }
-                else if (btnKey.Name == "btnBilling01")
-                {
-                }
-                else if (btnKey.Name == "btnBilling02")
-                {
-                }
-                else if (btnKey.Name == "btnBilling03")
-                {
-                }
-                else if (btnKey.Name == "btnBilling04")
-                {
-                }
-                else if (btnKey.Name == "btnBilling05")
-                {
-                }
-                //---- 2列目
-                else if (btnKey.Name == "btnBilling06")
-                {
-                }
-                else if (btnKey.Name == "btnBilling07")
-                {
-                }
-                else if (btnKey.Name == "btnBilling08")
-                {
-                }
-                else if (btnKey.Name == "btnBilling09")
-                {
-                }
-                else if (btnKey.Name == "btnBilling10")
-                {
-                }
-                else if (btnKey.Name == "btnBilling11")
-                {
-                }
-                //---- 3列目
-                else if (btnKey.Name == "btnBilling12")
-                {
-                }
-                else if (btnKey.Name == "btnBilling13")
-                {
-                }
-                else if (btnKey.Name == "btnBilling14")
-                {
-                }
-                else if (btnKey.Name == "btnBilling15")
-                {
-                }
-                else if (btnKey.Name == "btnBilling16")
-                {
-                }
-                else if (btnKey.Name == "btnBilling17")
-                {
-                }
                 // 処理実行
                 ClsExcute.ProcesscExecute();
+                return;
             }
             catch (Exception ex)
             {
@@ -2035,7 +2558,7 @@
             finally
             {
                 // 再表示
-                DisplayDataLoad();
+                if (NowPoint > -1) DisplayDataLoad();
                 // 自画面表示
                 if (CommonMotions.ProductionExecution) this.Visible = true;
             }
@@ -2042,14 +2565,15 @@
         }
         #endregion
 
-        #region マスタメンテメニューボタン押下（Bossマスタ）
+        #region 総務管理メニューボタン押下
         /// <summary>
-        /// マスタメンテメニューボタン押下
+        /// 総務管理メニューボタン押下
         /// </summary>
         /// <param name="sender"></param>
         /// <param name="e"></param>
-        private void btnMaster_Click(object sender, EventArgs e)
+        private void btnAffairs_Click(object sender, EventArgs e)
         {
+            int NowPoint = -1;
             try
             {
                 // 自画面非表示
